## Update a list `client.rules.lists.update(stringlistId, ListUpdateParamsparams, RequestOptionsoptions?): ListUpdateResponse` **put** `/accounts/{account_id}/rules/lists/{list_id}` Updates the description of a list. ### Parameters - `listId: string` The unique ID of the list. - `params: ListUpdateParams` - `account_id: string` Path param: The Account ID for this resource. - `description?: string` Body param: An informative summary of the list. ### Returns - `ListUpdateResponse` - `id: string` The unique ID of the list. - `created_on: string` The RFC 3339 timestamp of when the list was created. - `kind: "ip" | "redirect" | "hostname" | "asn"` The type of the list. Each type supports specific list items (IP addresses, ASNs, hostnames or redirects). - `"ip"` - `"redirect"` - `"hostname"` - `"asn"` - `modified_on: string` The RFC 3339 timestamp of when the list was last modified. - `name: string` An informative name for the list. Use this name in filter and rule expressions. - `num_items: number` The number of items in the list. - `num_referencing_filters: number` The number of [filters](/api/resources/filters/) referencing the list. - `description?: string` An informative summary of the list. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const list = await client.rules.lists.update('2c0fc9fa937b11eaa1b71c4d701ab86e', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(list.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "2c0fc9fa937b11eaa1b71c4d701ab86e", "created_on": "2020-01-01T08:00:00Z", "kind": "ip", "modified_on": "2020-01-10T14:00:00Z", "name": "list1", "num_items": 10, "num_referencing_filters": 2, "description": "This is a note" }, "success": true } ```